Show / Hide Table of Contents

# Struct BardGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Gauge

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BardGauge

### Fields

| Improve this Doc View Source

#### Repertoire

##### Declaration

    public byte Repertoire

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Song

##### Declaration

    public byte Song

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SongTimer

##### Declaration

    public short SongTimer

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SoulVoice

##### Declaration

    public byte SoulVoice

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### ActiveSong

##### Declaration

    public readonly BardSong ActiveSong { get; }

##### Property Value

Type | Description
--- | ---
BardSong |